********************************************
*********        UDA v2.4.3        *********
*********      04 / 08 / 2014      *********
********************************************

61313:	[seguridad] La autenticación con juego de barcos se bucla y no muestra la persona conectada





********************************************
*********        UDA v2.4.2        *********
*********      27 / 06 / 2014      *********
********************************************

59679:	[table] Nuevo método getActiveLineId
59673:	[table formEdit] No se visualizan correctamente los mensajes de error producidos por la aplciación.
59672:	[table jerarquía] Al realizar operaciones dentro de una jerarquía no se envían correctamente los parámetros de filtrado
59669:	[table search] Problema al ordenar y paginar después de realizar una búsqueda
59666:	[contextMenu]  El cursor no cambia al existir un menú contextual en IE
59665:	[date] Problema de interacción entre campos desde y hasta del componente RUP combo
59664:	[tooltip] Error de visualización del tooltip en aplicaciones integadas en portal
59571:	[table] Habilitar/deshabilitar las operaciones mediante el parámetro enabled
56151:	[table jerarquia] Error al cargar el plugin de jerarquia con el rup.table
56142:	[table] Error al cargar el tinyMCE en un formulario de edición
59680:	[table] Muestra un mensaje de error genérico en caso de que se haya producido un error desconocido.
59677:	[table] Nuevo método getActiveRowId
59676:	[table] Añadido método setSelection al core del componente
59675:	[table] En caso de no exitir registros se sigue mostrando la paginación.
59674:	[table] Mejoras en la paginación
59670:	[table multiselect] Mejorada la gestión del feedback informativo de la multiselección
59667:	[combo] Navegación entre elementos mediante teclado mejorada
59663:	[upload] Integración con PIF
59610:	[wizard] Se añade el soporte del componente RUP Table en el resumen
59607:	[combo] Se permite que un combo enlazado hijo sea de tipo multiselcción.
56706:	[table - report] Problema en el IE al exportar los resultados de la tabla





********************************************
*********        UDA v2.4.1        *********
*********      13 / 03 / 2014      *********
********************************************

56187:	[menu contextual] Las imágenes del menú contextual aparecen recuadradas
55634:	[table] Bloqueo de filas durante la carga de datos en la tabla
55633:	[wizard] En el resumen del asistente las tablas no se visualizan correctamente.
54614:	[table] Error al intentar recargar la tabla
54547:	[table - report] La generación del listado de resultados del table no funciona con los criterios de filtrado
54546:	[menu contextual] Los elementos del menú contextual se generan sin identificador
54545:	[table] Los botones que se generan por defecto tienen el identificador dependiente del idioma
54635:	[form] En el upload de ficheros desde el formulario de detalle no se aplica la configuración sobre la petición ajax
54634:	[table] Evento jqGridAddEditAfterShowForm se comporta distinto en operación añadir y clonar
54584:	[form] Problema con el submit de multientidades
54278:	[logging] Perdida del mensaje formateado en LogLayout
54277:	[logging] Perdida de excepciones en IncidenceLoggingAdviceImpl
53925:	[table] Al paginar tras realizar un filtrado si se añade un nuevo parámetro al filtro no se encuentran los resultados
53923:	[table] El borrado de registros no mantiene el número de registros visible
53917:	[asist generacion codigo] Se pierden las configuraciones existentes al generar nuevo código
53916:	[table] Aparece la validación de un multicombo en el formulario de detalle a pesar de tener opciones seleccionadas
53915:	[table] En la validación del formulario de detalle con multicombo no aparece el icono
53914:	[table] ReferenceError filterMulticombo is not defined al utilizar un multicombo en el formulario de filtrado
53911:	[table] Un registro nuevo insertado se muestra sin corresponder al filtrado de datos
53910:	[table] La miga avanzada muestra el icono en la siguiente línea
53903:	[table] Salta el control de cambios del formulario detalle aunque no se ha modificado el registro
53902:	[table] Aparecen los criterios de filtrado aunque no esté colapsado el formulario de filtrado





********************************************
*********        UDA v2.4.0        *********
*********      22 / 11 / 2013      *********
********************************************	

**** PLUGIN ****
Corrección en la generación del método find para relaciones M:N
Asistente de mantenimiento: Generación en base al componente rup.table
Asistente de generación de aplicación: Generación de recursos RUP comprimidos y minimizados


**** LIBRERIA X38 ****
Soporte para el nuevo componente rup.table
Actualización de nomenclatura para trabajar en base a SNAPSHOT y RELEASE


**** RUP ****
Nuevo componente rup.table
Nuevo componente rup.tree
Nuevo componente rup.contextMenu
Compresión y minimización de recursos de componentes RUP
Uso de sprites en los componentes RUP





********************************************
*********        UDA v2.1.3        *********
*********      05 / 06 / 2013      *********
********************************************	

**** LIBRERIA X38 ****
0044627: [informes] Generar informes básicos con UDA (csv, xls, pdf)
0047822: [seguridad] Gestión de acceso con aplicaciones en entorno internet
0045141: [exceptions] Problemas con caracteres especiales en los mensajes de excepción
0044628: [librerias] Arreglar ocurrencia de versiones de librerías del servidor y de la aplicación





********************************************
*********        UDA v2.1.2        *********
*********      19 / 03 / 2013      *********
********************************************

**** PLUGIN ****
0044279: [templates] En la generación de código de la capa DAO se usa StringBuffer en lugar de StringBuilder


**** RUP ****
0044278: [maint multiseleccion] Controlar los botones habilitados/deshabilitados según los registros seleccionados
0044274: [maint] Problema al crear un mantenimiento dentro de un rup.wizard
0044277: [maint] Error al añadir un botón a un mButton de la botonera del mantenimiento
0044360: [maint] Tratamiento de excepciones generadas en los controller
0042476: [maint] Al cerrar el filtro los criterios de búsqueda debe ser los que se aplican en la tabla (grid)
0044357: [time] - Compatibilidad del componente 'hora' para chrome
0044195: [maint multiseleccion] Funcionamiento incorrecto de getSelectedRows
0042386: [Combo] No funciona el atributo selected
0042387: [Combo] Una vez desplegado el combo no se puede navegar con el teclado
0044186: [combo] La gestión de teclado no funciona correctamente
0044185: [combo] No se aplica correctamente el atributo selected
0044190: [autocomplete] Submitar el literal informado en el cuadro de texto en lugar del valor interno asociado
0044189: [utils] Utilidad para arrays ordenados
0044188: [toolbar] Problemas para añadir botones a un mbutton ya existente
0044187: [toolbar] La navegación con tabulador por elementos deshabilitados en IE no funciona correctamente





********************************************
*********        UDA v2.1.1        *********
*********      18 / 01 / 2013      *********
********************************************


**** LIBRERIA X38 ****
0039614: [seguridad] Control de peticiones ajax y http
0039618: [logging] Bucle de escritura y creación de fichero de traza en la inicialización de sistema de logs
0039617: [seguridad] Extender las credenciales de usuario con datos del certificado

**** RUP ****
0039754: [maint] El feedback no se redimensiona para mostrar todos los avisos
0040281: [formulario] El método ajaxFormSubmit no realiza la configuración propia del componente
0040277: [base] Nueva función i18nTemplate para devolver mensajes internacionalizados con parámetros
0040273: [validate] Añadido el evento rupValidate_formValidationError
0038401: [mantenimiento] Foco en primer elemento si es un combo
0027472: [Nuevo patrón] rup.multicombo
0039369: [maint maestro-detalle] - Se produce un error en caso de que la tabla maestra no presente datos
0037880: [maint maestro-detalle] Error en la carga del mantenimiento detalle al no haberse cargado aún el maestro
0037527: [autocomplete] Icono de "Loading" durante la carga de datos remotos
0037684: [maint maestro-detalle] - Error al gestionar el identificador del modelObject
0037687: [mantenimiento] No se actualiza el registro en caso de tener un name con notación dot
0037688: [mantenimiento] No muestra el mensaje de error en el feedback del maint que estamos editando
0037685: [maint maestro-detalle] - Al hacer doble click en una fila del detalle se cambia la selección del maestro
0037690: [mantenimiento] Gestión incorrecta de las actualizaciones de los detalles cuando conviven múltiples mantenimientos
0037859: [combo] En un combo deshabilitado puede adquirir el foco y modificar el elemento seleccionado
0037964: [mantenimiento] Se mezclan los eventos de selección de línea entre mantenimientos
0038024: [mantenimiento] Formateador de columnas para modificación de registros
0038029: [maint maestro-detalle] Al editar un registro del maestro sin registros en el detalle salta un alert
0038037: [combo] Añadida nueva funcionalidad que permite la selección múltiple de los elementos del combo
0038038: [combo] Precarga de datos en un combo con agrupaciones
0038040: [combo] Los combos hijos se actualizan sin seleccionar un elemento no vacío en el padre
0038041: [grid] Se habilita el uso de la multiselección en el componente Grid
0038084: [grid] El diseño líquido no se aplica cuando aparece la barra de scroll vertical
0038086: [grid] Cambios en la configuración y funcionamiento del diseño líquido
0038090: [message] Añadida nueva propiedad de callback CANCELFunction
0038095: [mantenimiento] Nuevo método getSerializedForm
0038097: [mantenimiento] El botón de "Limpiar" vacía los autocompletes de toda la página
0038098: [mantenimiento] No se realiza correctamente el reset de los campos rup_combo en el formulario
0038099: [mantenimiento] Posibilidad de inicializar el formulario de detalle en modo lazy





********************************************
*********        UDA v2.1.0        *********
*********      20 / 09 / 2012      *********
********************************************

**** GENERAL ****
[portalizador] Corrección de la transformación del estilo ui-widget-overlay de jQuery UI custom 
[portalizador] Corrección de la transformación del estilo ui-helper-clearfix:before y ui-helper-clearfix:after  
[portalizador] Corrección de estilo que afecta a la página login en Chrome 
[calidad codigo estatico] Formato reglas Sonar-compatible
[tecnología] Migración a Spring (3.1.2), SLF4J (1.6.6), logback (1.0.6), jquery 1.8.0, jquery-ui 1.8.23, jqgrid 4.4.1


**** PLUGIN ****
[asist gen codigo] Eliminación de imports innecesarios en la generación del Controller cuando hay relaciones de tablas
[asist gen codigo] Uso de interfaces List en lugar de ArrayList en Controller y Service (removeAll)
[asist gen codigo] Corregir los métodos delete del Controller  (remove y removeAll)
[asist gen codigo] Optimizar la gestión de la query en DAO (findAll y findAllLike) para el ORDER y los LÍMITES (paginar)
[asist gen codigo] Literales de la gestión de seguridad
[asist gen codigo] Arreglar datos mostrados en error.jsp cuando se produce una excepción en una petición con redirect


**** LIBRERIA X38 ****
[seguridad] Desconexión de XLNetS (enlace 'Desconectar')
[seguridad] Modificación de gestión en el filtro de seguridad de Spring Security (Apache Bridge)


**** RUP ****
[base] Gestión de las funciones de callback definidas por el usuario en las peticiones AJAX en la función rup_ajax
[base] Mejora de la gestión del feedback cuando se muestran los errores
[compatibility] Problemas del :hover en el menú.
[compatibility] Despliegue del menú siempre hacia abajo (lo hacía hacia arriba si no tenía sitio en pantalla)
[compatibility] Ajuste de tiempos de espera
[compatibility] Errores al desplegar ciertos componentes
[autocomplete] Permitir indicar una función de callback al producirse un error en la petición AJAX de carga remota
[autocomplete] Internacionalización de los mensajes de error por defecto al fallar la carga remota
[autocomplete] Corrección de funcionamiento en portales
[breadcrumbs] Cambios cabecera para botón desconectar
[combo] Carga de los datos en combos enlazados locales (formulario detalle maint)
[combo] Cambio de los for para compatibilidad con Nora (prototype)
[combo] Gestión de OptGroups e imágenes (cambiado con la subida de versión de jQuery)
[combo] Añadida la posibilidad de indicar una función de callback al producirse un error en la petición AJAX de carga remota
[combo] Internacionalización de los mensajes de error por defecto al fallar la carga remota
[combo] Mejora de la gestión de errores en peticiones Ajax
[date] Botón 'Cancelar' en IE relanza el componente al hacer focus (en IE ya no se pone el foco en el input al cerrarlo)
[dialog] Bug en el evento Cerrar
[grid] Al añadir un elemento, regenerar rup-tooltip (salía el de por defecto del navegador)
[grid] Corregir ordenación de columnas 
[grid] Corregir paginación (invocación a eventos por defecto simple/multiple)
[maint] Fallo al limpiar criterios de búsqueda del filtro
[maint] Restauración de botones edición línea al hacer submit con ENTER y producirse un error de validación (cancelar activo; resto desactivados)
[maint] Mostrar enlace limpiar de los criterios de búsqueda en IE
[maint] Arreglar multiselección en IE así como navegación en edición entre los elementos seleccionados (IE no soporta indexOf sobre arrays)
[maint] Modificar el método _saveMaintError que producía un error cuando se invocaba sin valor en el parámetro rowId 
[maint] Problema de posicionamiento del formulario de detalle bajo de la capa de bloqueado, cuando se crea el mantenimiento dentro de un diálogo
[maint] Arreglar opción de filtro plegado con los autocompletes
[maint] Z-index del formulario de detalle se incrementa cada vez que se mostraba el diálogo de confirmación de cambios realizados
[maint] Mostrar el número de elementos en edición y el elemento actual
[maint] Botón limpiar de formulario soporte para portales (mandar parámetro)
[maint] Mejorar gestión de Ellipsis en cabeceras
[maint simple] Seleccionar el primer elemento de selección simple al cerrar el formulario de añadir elemento nuevo
[maint editable] Corregir opción 'añadir elemento'
[maint multiseleccion] edición multiselect cuando los seleccionados están en otra página
[menu] Permitir definición tamaño variable de los grupos de menú o utilizar el tamaño máximo del conjunto de opciones
[menu] Permitir añadir iconos en las opciones de menú (external link)
[menu] Corregir error en elemento deshabilitado
[message] Cambiar gestión de función 'OKFunction'
[toolbar] Gestión de estilos (jQuery UI)
[validate] Gestión de tooltips en portal (qtip2)
[wizard] Cambiar orden de funciones al generar el resumen para que se produzca la actualización de estilos (.current) del paso (literales del paso)





********************************************
*********        UDA v2.0.0        *********
*********      22 / 06 / 2012      *********
********************************************

**** GENERAL ****
[tecnología] Migrar a Spring 3.1.1, jackson 1.9.7, jquery 1.7.2, jquery-ui 1.8.20, jqgrid 4.3.2
[accesibilidad] Errores en css para cumplimiento de nivel WCAG2.0 AA


**** PLUGIN ****
[asistente negocio y control] Al crear codigo siempre añade (modifica si ya estaba) el DataSource
[asistente nueva aplicación y añadir War] Idioma por defecto
[asistente negocio y control] Gestión de excepciones como código de aplicación
[mantenimiento] El método find() generado por UDA falla si no recupera datos de la BD
[asistente negocio y control] Generacion dao con optimizaciones para evitar duplicidad de código


**** LIBRERIA X38 ****
[logging] Actualizar la versión de logback a 1.0.6
[serializacion/deserializacion] Integrar la solución de fechas en la X38
[validation] Validación de datos de entidades relacionadas
[validaciones en cliente] Control de fechas en alta y modificación
[Locale UDA] - No se usa el valor idiomatico definido por defecto
[security] Redireccionar a pagina de inicio o de gestión de usuarios
[security] Añadir capacidad de LogOut a la aplicación con XLNets
[security] Gestión de seguridad con certificados
[security] Evolucion del mock implementado como utilidad


**** RUP ****
[idioma] Se carga el idioma de la variable js "AVAILABLE_LANGS" en vez por atributo en la  invocación
[feedback] Al redimensionar, el ancho del feedback no se recalcula
[combo] Fallo al forzar la recarga desde jQuery
[menu] Revisión del patrón subyacente para añadir separadores y agrupaciones de elementos
[menu] Securización de puntos de menu utilizando spring-security
[date] Gestionar foco
[date] Formato fecha (máscara y longitud)
[date] Gestión de intervalos
[dialog] No sigue la estructura oficial
[dialog] Al abrir un rup_dialog, las migas y el título de la página se descolocan
[tabs] Al cambiar entre pestañas la apertura de un diálogo deja de funcionar
[tabs] Mantenimiento pierde la paginación cuando se cambia entre pestañas
[tabs] Recarga de pestaña cambiando la url con loadTab no funciona
[tabs] Uso de dos diálogos dentro de pestañas
[tabs] Uso de subtabs en IE8 da error
[autocomplete] Envío del valor que introduce el usuario aunque no lo haya seleccionado en los resultados sugeridos
[autocomplete] Al método post del controller se le enviaba en la request el input  “_label”
[autocomplete] No se elimina el valor del autocomplete al Limpiar
[autocomplete] Al eliminar el valor prevamente seleccionado no se borra el valor del hidden
[menu] Separadores
[grid] Parte del pie de la páginación en euskera sale en castellano
[maint] Si se introduce un número mayor que el número de páginas en la casilla de la páginación, no muestra registros
[maint] El control de cambios del formulario de detalle no tiene en cuenta los campos file.
[maint] En detalle de inserción si se guarda sin informar datos se cierra el detalle o la edición en línea sin feedback
[maint] Al maximizar la ventana, la tabla no alcanza el máximo de su ancho
[maint] Error de inserción de registros con identificador duplicado.
[maint] En IE8, en el mensaje de “Cargando..." no se mueve la "ruletita"
[maint] Si se cancela la inserción de un registro, posicionar el foco en el primer registro del grid
[maint] Hacer que funcionen los formatters
[maint] Despues de limpiar, búsqueda al pulsar sobre cabecera columna.
[maint] Al plegar el filtro de búsqueda, los criterios deberían ocupar sólo una línea
[maint] Los criterios de búsqueda se muestran mal al ocultar el filtro
[maint] Los criterios de búsqueda se muestran mal al plegar el filtro
[maint] Funcionamiento de autowidth
[maint] El texto de las validaciones en los formularios de detalle se muestra mal y en IE8 no funcionan
[maint simple] Error 500 al realizar validaciones de los campos de un formulario
[maint, toolbar] Permitir la customización de los botones por defecto del toolbar
[maint editable] Resaltar los campos con errores en las validaciones
[maint maestro-detalle] Paginación edición detalle no funciona
[maint maestro-detalle] Al editar maestro con doble click no carga datos detalle
[maint maestro-detalle] Refrescar la tabla detalle al navegar por los registros de la tabla maestro desde el diálogo de edición
[maint maestro-detalle] No actualiza el detalle al realizar una búsqueda en el maestro
[maint maestro-detalle] No muestra el contador de registro en el formulario de detalle del mant detalle
[maint multiselección] Aviso de pérdida de la selección de elementos cuando se aplican los criterios de búsqueda
[Nuevo patrón] Patrón ayuda contextual
[Nuevo patrón] Patrón wizard
[Nuevo patrón] Patrón form
[Nuevo patrón] Patrón validate
[Usuario conectado] Añadir a las aplicaciones el usuario conectado





********************************************
*********        UDA v1.2.1        *********
*********      22 / 02 / 2012      *********
********************************************

**** PLUGIN ****
[asist maint] Genera DIVs para alojar literales del formulario de filtrado
[logging] Los ficheros comprimidos del sistema de logs no tienen en cuenta la extensión del fichero
[templates] Configuración de javax.persistence desde lib del EAR frente a las del servidor
[templates] Modificación de properties de aplicación: statics.path relativo y xlnets.inPortal


**** LIBRERIA X38 ****
[serialization] CustomSerializer: Permite especificar propiedades de los beans que necesita serializar usando notación dot
[validation] writeValidationErrors: realiza sobre un bean la validación de los valores de sus propiedades de acuerdo a las anotaciones incluidas en el model


**** RUP ****
[componentes] Utilizar notación DOT
[portalizador] Error al parsear el fichero jquery.fileupload-ui.css

[autocomplete] No se actualizan bien los datos del autocomplete
[combo] Convivencia de combos con autocomplete en la integración con NORA
[combo] Documentación combo errónea sobre las funciones de selección
[combo] En los combos enlazados locales no se carga el valor del combo hijo en la pantalla de edición.
[date] Error javascript al limpiar un formulario con un campo date que incluye la hora
[date] Fecha desde y hasta no funciona correctamente al incluir también la hora
[grid] Aplicar el "ellipse" o puntos suspensivos cuando no cabe el texto de la tabla
[grid] Problemas al gestionar caracteres especiales
[maint editable] Combo en la última fila de una tabla de una mantenimiento de edición en línea
[maint editable] Controlar los botones en el modo inserción y en el modo edición
[maint editable] Controlar los botones en la modificación de registros 
[maint editable] El uso de la tecla ESC para cancelar produce un error javascript
[maint editable] Foco en la columna seleccionada al navegar con el tabulador
[maint editable] La inserción tras un feedback de clave nula no se realiza
[maint editable] La inserción y modificación sobre un registro cambia su identificador clave
[maint editable] No se activa el valor correcto en un combo de una tabla
[maint editable] Si en la tabla hay registros con identificadores "raros", estas filas se pueden editar simultánemante
[maint multiselección] Ajustar ancho del feedback de selección del resto de elementos
[maint multiselección] La edición en el detalle de varios registros con control de cambios solo funciona para el último
[maint multiselección] Los registros a editar se muestran según el orden de selección vs la ordenación de la tabla
[maint simple y editable] Al eliminar sin seleccionar registros intenta borrar todos
[maint simple y multiselección] No aparece el control de cambios al modificar el valor del combo
[maint simple] Al minimizar el filtro no aparecen los datos correctamente
[maint simple] Contador de registros en la edición desde el detalle
[maint simple] Contador de registros en la edición desde el detalle
[maint simple] El combo "ejie" no se actualiza
[maint simple] El filtro por fechas no funciona correctamente
[maint] Al generar la tabla de resultados, las cabeceras de las columnas no incluyen el atributo "title" y no sale el tooltip
[maint] Carga de datos en un input radio en el formulario de detalle
[maint] Div de feedback de mantenimiento mal posicionado
[maint] En el detalle de un registro los checkbox no se cargan correctamente
[maint] En el formulario de detalle si se introducen saltos de línea en un campo no detecta que se han guardado los cambios
[maint] En IE8 no aparece el mensaje "Cargando..." al cargar el mantenimiento
[maint] Estudiar necesidad de que los botones por defecto de la toolbar del mantenimiento sean configurables
[maint] Falla la paginación cuando se borra un registro y hay tantos registros como el número que se está visualizando
[maint] Feedback con la validación de datos obligatorios al insertar un registro
[maint] Hasta que no se carga toda la página los botones de la toolbar  por defecto no desaparecen
[maint] Incluir la imagen animada en el mensaje "Cargando..." de los mantenimientos
[maint] Literales del control de cambios poco claros
[maint] Permitir deshabilitar el evento ondblClickRow
[maint] Si se introduce un número mayor que el número de páginas en la casilla de la páginación, no muestra registros
[maint] Si se introduce un punto "." en la casilla de la páginación, salta un error.
[menu] Navegación a direcciones absolutas y apertura de navegación a ventanas nuevas
[tooltip] Posicionamiento incorrecto de las capas cuando la aplicación está integrada en portal
[upload] Al descargar el fichero sale un aviso de seguridad en IE8 y la aplicación integrada en portal





********************************************
*********        UDA v1.2.0        *********
*********      15 / 12 / 2011      *********
********************************************

**** PLUGIN ****
[Templates] Generación de código para WLS 10.3.5
[Templates] Configuración para replicación de sesión en cluster
[Añadir War] Generar los ficheros i18n de rup según el idioma


**** LIBRERIA X38 ****
[Serialización] Nuevos serializadores para el tratamiento de los datos de fecha, hora y timestamp


**** RUP ****
[Componentes] API de comunicación entre diferentes componentes RUP. Métodos getRupValue y setRupValue para autcomplete, combo, date y time.

[Combo] Problemas de actualización de combos enlazados en el formulario de detalle de un mantenimiento.
[Combo] Error con valores que incluyen '.
[Grid] Error al añadir evento onSelectRow
[Tabs] Generación de pestañas dinámicamente
[Upload] Versión inicial del patrón upload
[Mantenimiento general] Gestión errónea de los campos checkbox en los formularios de búsqueda del mantenimiento





********************************************
*********        UDA v1.1.1        *********
*********      15 / 09 / 2011      *********
********************************************

**** GENERACIÓN de CÓDIGO ****

[Plugin] pom.xml: versión de x38 como propiedad
[Plugin] build.xml: Maven con la variable de entorno M2_HOME
[Plugin] Arreglados problemas relaciones N:M (uso de nombre de sinónimos y generación de queries)
[Validaciones] Subida de versión de Hibernate Validator a "4.2.0.Final"
[Logging] Corregido el nombre logger de aplicTrazasAppender (logback.xml)
[Seguridad] La composición de urls provoca un bucle en XLNetS


**** RUP ****

[Toolbar] - En IE8 no se muestra correctamente el icono en los botones deshabilitados

[Mantenimiento general] Error en la gestión de la botonera del mantenimiento con la tabla vacía
[Mantenimiento general] - Se lanza evento editar al seleccionar buscar, limpiar o paginar
[Mantenimiento general] Al paginar en el detalle indica si deseamos guadar cambios y no he hecho cambios
[Mantenimiento edición en línea] Se ocultan filas
[Mantenimiento general] Determinar el modo en el que se está: edición o nuevo
[Mantenimiento general] Paginar al añadir elemento

[Mantenimiento multiseleccion] - Error al mostrar el número de elementos seleccionados





********************************************
*********        UDA v1.1.0        *********
*********      15 / 09 / 2011      *********
********************************************

**** GENERACIÓN de CÓDIGO ****

[Plugin] Al generar el código de los Service-DAO sobre tablas con sinónimos, las instancias en las clases Java usan el nombre de tabla en lugar del sinónimo como nombre de variable.
[Plugin] Error al generar PK a partir de un campo CHAR
[Plugin] Generación de código para vistas
[Plugin] Unificación del radio button para seleccionar la inyección de dependencias en la generación de código
[Plugin] - El fichero "layoutLoaderXXXMyApp.js" no sigue la nomenclatura


**** LOGGING ****

[Logs] Aplicaciones UDA en la misma instancia WL11 se mezclan los LOGS
[Logs] Cuando se produce un fallo al invocar al controller, no aparece la traza del error en ninguno de los ficheros de trazas de la aplicación.
[Logs] Log de queries+parámetros usando jdbcdslog


**** RUP ****

[Componentes] Control del z-index
[Componentes] Actualización de las librerías de la capa presentación (jQuery 1.6.x, jQueryUI 1.8.14, jqGrid 4.1.x)



[Autocomplete] Añadir el atributo i18nId
[Autocomplete] Cuando se aplica sobre una ventana modal no muestra la capa con las opciones retornadas del servidor.

[Combo] Método para devolver elemento seleccionado

[Menu] El menú vertical desaparece al salir de él

[Dialog] Al usar dos diálogos AJAX diferentes se reutiliza el título

[Toolbar] Habilitar/Deshabilitar botones

[Grid] Avisar al usuario cuando no se reciben datos

[Mantenimiento general] Si no hay registrosr desabilitar botón eliminar
[Mantenimiento general] Los valores nulos no se refrescan en el formulario de detalle al editar el elemento.
[Mantenimiento general] Formulario de búsqueda con combo
[Mantenimiento general] Capturar evento ondblClickRow
[Mantenimiento general] No carga combo de otra entidad en el formulario de detalle
[Mantenimiento general] Filtro por defecto en un manteninmiento

[Mantenimiento simple] Errores al eliminar en un mantenimiento con clave compuesta
[Mantenimiento simple] Errores al cargar un mantenimiento con clave compuesta

[Mantenimiento edición en línea] Pérdida de estilos al actuar sobre los botones
[Mantenimiento edición en línea] Después de eliminar una fila, el botón cancelar sigue activo.
[Mantenimiento edición en línea] Errores en la gestión de validaciones
[Mantenimiento edición en línea] El control de cambios realizados en los registros no funciona correctamente
[Mantenimiento edicion en linea] Eliminar botón edición
[Mantenimiento edición en línea] Uso de rup_combo
[Mantenimiento edición en línea] Chrome se visualiza el icono del patrón date

[Mantenimiento multiselección] Aparece el mensaje de confirmación de borrado, pero no se borra
[Mantenimiento multiselección] Borrar registros seleccionados que acaban de ser dados de alta
[Mantenimiento multiselección] No se mantienen correctamente los seleccionados al modificar el nº de elementos por pagina


 


********************************************
*********        UDA v1.0.1        *********
*********      09 / 07 / 2011      *********
********************************************

**** SEGURIDAD ****

[Seguridad] La configuración generada por los plug-in de UDA de Spring Security no es correcta
[Seguridad] Perdida de datos de sesion de usuario


**** RUP ****

[Componentes] Uso de jqgrid-min en lugar de los ficheros para debug
[ThemeRoller] Quitar la inclusión del ThemeRoller de la plantilla de layoutloader

[Multinavegador] Título del mantenimiento desplazado
[Multinavegador] Función que compruebe nulos tanto en IE como FF
[Multinavegador] Problemas en la visualización del menú en IE8
[Multinavegador] En Chrome no se visualizan correctamente los menús

[i18n] Gestión de los idiomas
[i18n] Evitar problemas en el uso de i18nCaption



[Dialogo] Problemas al cargar muchos elementos

[Feedback] Asignar texto en la propia creación

[Message] Sobreescritura del 'alert' de JavaScript

[Combos] Problemas de ordenación en optGroups
[Combos] Combos enlazados, Asignacion de valor externa y recarga de hijo
[Combos] Asignar un valor a un combo y que se carguen sus combos dependientes
[Combos] No se visualiza correctamente en diálogo

[Menu] Eliminar negrita para evitar que se mueva

[Grid] La tabla interpreta las etiquetas HTML
[Grid] Control del número introducido en el campo de texto del número de página
[Grid] Dos rup_grid en la misma página
[Grid] Recarga del rup_grid

[Mantenimiento general] - Feedback cuando hay un error
[Mantenimiento general] - Evento doble click
[Mantenimiento general] - Realizar filtrado al pulsar enter
[Mantenimiento general] - Foco en el primer campo del detalle al paginar entre registros
[Mantenimiento general] - Posicionar foco en el primer campo del formulario de filtrado
[Mantenimiento general] - Navegación erronea mediante el TAB en el formulario de detalle
[Mantenimiento general] - Se utilizan dos literales diferentes para el formulario de búsqueda.
[Mantenimiento general] - El formulario de búsqueda no se adapta a la anchura de la tabla
[Mantenimiento general] - Problemas en la selección tras insertar varios registros
[Mantenimiento general] - Problema con los parametros de filtrado y la paginación
[Mantenimiento general] - Tras arrastrar la ventana modal del formulario de detalle, desaparece
[Mantenimiento general] - Gestión de errores del rup_grid
[Mantenimiento general] - Propiedad hidden para el formDetail
[Mantenimiento general] - Maestro-detalle problemas al mandar parámetros del hijo
[Mantenimiento general] - Por defecto se debe pedir confirmación de que se va a eliminar la fila
[Mantenimiento general] - Añadir parametros de filtrado en un mantenimiento
[Mantenimiento general] - No actualiza la tabla despues de editar un registro
[Mantenimiento general] - Criterios de búsqueda muestran un null en la página

[Mantenimiento simple] - Mal funcionamiento del boton guardar y repetir
[Mantenimiento simple] - Al editar un registro aparecen los datos del registro anterior

[Mantenimiento edición en línea] - Modificar comportamiento del botón añadir
[Mantenimiento edición en línea] - Combinación de acciones hacen que la tabla deje de ser funcional.
[Mantenimiento edición en línea] - Tiempo excesivo para hacer la línea editable
[Mantenimiento edición en línea] - Corregir navegación entre registros mediante el TAB
[Mantenimiento edición en línea] - Error js al dar a añadir y despúes a eliminar
[Mantenimiento edición en línea] - Clickar sobre un elemento en modo edición lo deselecciona
[Mantenimiento edición en línea] - No se muestran los errores de las validaciones
[Mantenimiento edición en línea] - No realiza validaciones al perder el foco.
[Mantenimiento edición en línea] - En el mantenimiento de edición en línea no se activa la columna sobre las que se "pincha"
[Mantenimiento edición en línea] - Inserta de manera automática el ID

[Mantenimiento multiselección] - No se oculta feedback de selección resto elementos
[Mantenimiento multiselección] - Error al seleccionar elementos